/*
 * main.h - part of btype
 * Copyright (C) 2005 Michael Pyne <michael.pyne@kdemail.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef BTYPE_MAIN_H
#define BTYPE_MAIN_H

#include <kmainwindow.h>

class MainForm;

/**
 * Main UI class.
 */
class TestApp : public KMainWindow
{
    Q_OBJECT
public:
    TestApp(QWidget *parent = 0);

    QSize sizeHint() const { return QSize(700, 500); }

protected:
    virtual bool queryClose();

private slots:
    void slotNewHash(const QString &hash);
    void slotDirty(bool isDirty);
    void slotOpened(const QString &file);

private:
    MainForm *m_main;
};

#endif /* BTYPE_MAIN_H */

// vim: set et sw=4 ts=8:
